<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../DocBook.html" >DocBook</a>.<a href="../Syntax.html" >Syntax</a>
</div><div class="class-name">class PythonSummarySyntax

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/DocBook/Syntax.py.html" target="detail">../Synopsis/Formatters/DocBook/Syntax.py</a></div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line59" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="PythonSummarySyntax-inheritance" src="PythonSummarySyntax-inheritance.png" hspace="8" vspace="8" border="0" usemap="#PythonSummarySyntax-inheritance_map" />
<map name="PythonSummarySyntax-inheritance_map"><area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html" href="PythonSyntax.html" shape="rect" coords="32, 82, 347, 106" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html" href="Syntax.html" shape="rect" coords="52, 7, 327, 31" />
</map>
 <div class="doc">Generate DocBook Synopsis for Python declarations.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">output</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line62" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="finish">finish</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.finish" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line66" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_group">visit_group</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_group" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line69" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_module">visit_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_module" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line72" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class">visit_class</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_class" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line75" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_inheritance">visit_inheritance</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_inheritance" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line78" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Methods Inherited from PythonSyntax">
<tr><td colspan="2" class="heading">Methods Inherited from PythonSyntax</td></tr>
<tr><td class="inherited"><a href="PythonSyntax.html#visit_function" title="method PythonSyntax.visit_function">visit_function</a>,
<a href="PythonSyntax.html#visit_parameter" title="method PythonSyntax.visit_parameter">visit_parameter</a>,
<a href="PythonSyntax.html#visit_variable" title="method PythonSyntax.visit_variable">visit_variable</a>,
<a href="PythonSyntax.html#visit_const" title="method PythonSyntax.visit_const">visit_const</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from Syntax">
<tr><td colspan="2" class="heading">Attributes Inherited from Syntax</td></tr>
<tr><td class="inherited"><a href="Syntax.html#output" title="attribute Syntax.output">output</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Syntax">
<tr><td colspan="2" class="heading">Methods Inherited from Syntax</td></tr>
<tr><td class="inherited"><a href="Syntax.html#typeid" title="method Syntax.typeid">typeid</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:00 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
